This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 200760

Summary: Review Request: dogtail
Product: [Fedora] Fedora Reporter: Elena Zannoni <ezannoni>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dmalcolm, fedora-package-review, kasal, rousseau, tkincaid, zcerza
Target Milestone: ---Flags: tcallawa: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-04 08:44:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 200772    
Bug Blocks: 188268, 198806    

Description Elena Zannoni 2006-07-31 11:02:53 EDT
Spec URL: http://people.redhat.com/zcerza/dogtail/

This is a request to move Dogtail from Extras to Core.
The review for inclusion into Extras was done here:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=182306

Reason: Dogtail is needed by the frysk testsuite, and it run in headless mode at Frysk buildtime.
Comment 1 Jesse Keating 2006-07-31 11:10:44 EDT
Er, can I get a direct link to the spec and to a srpm build from said spec? 
That'll speed up the review.
Comment 2 Jesse Keating 2006-07-31 11:14:12 EDT
This will require pyspi to be in Core as well.  Please open up a review to move
this from Extras to Core and have it block this bug.  We'll focus on pyspi first.
Comment 3 Elena Zannoni 2006-07-31 11:49:32 EDT
I can find these:
http://people.redhat.com/zcerza/dogtail/releases/
but I wonder if there is anything newer.

http://download.fedora.redhat.com/pub/fedora/linux/extras/development/SRPMS/dogtail-0.5.1-4.fc6.src.rpm
seems to be the most recent build.

Please also see the old review for extras inclusion (bug 182306).
Comment 4 Jesse Keating 2006-07-31 14:37:39 EDT
Package looks good, rpmlint only has this to say:

E: dogtail non-executable-script
/usr/lib/python2.4/site-packages/dogtail/config.py 0644
E: dogtail non-executable-script
/usr/lib/python2.4/site-packages/dogtail/tree.py 0644

These are due to #! being in these files.  Are these files executable on their
own, do they actually do anything?  If not, remove the sha-bang.  If so, than
ignore this.

W: dogtail macro-in-%changelog post

Macros in changelog are usually unsafe as they'll get expanded.

Other than that looks good, approving.  Bill already gave tech ack, so who gets
to own this? (and who will coordinate its removal from Extras)
Comment 5 Elena Zannoni 2006-07-31 14:53:17 EDT
Zack is the owner.
Comment 6 Zack Cerza 2006-07-31 18:12:52 EDT
tree.py and config.py don't really need to have the shebang line; I just removed
them upstream.

I didn't realize putting '%post' in the changelog would be a problem; I'll
obscure that.
Comment 7 Paul Howarth 2006-08-01 07:49:11 EDT
(In reply to comment #6)
> I didn't realize putting '%post' in the changelog would be a problem; I'll
> obscure that.

Just escape macros in the changelog (e.g. use %%post instead of %post) and
you'll get the desired effect.
Comment 8 Zack Cerza 2006-08-01 17:43:12 EDT
dogtail just built successfully into FC-devel.
Comment 9 Zack Cerza 2006-08-02 15:22:46 EDT
How do I get dogtail removed from FC6's Extras?
Comment 10 Jesse Keating 2006-08-02 15:36:42 EDT
Please see http://fedoraproject.org/wiki/Extras/FC6Status
Comment 11 Zack Cerza 2006-08-02 16:21:27 EDT
Thanks. FWIW, though, it seems like the page should be called 'FE6Requests' or
something.
Comment 12 Zack Cerza 2010-07-12 17:03:36 EDT
Package Change Request
======================
Package Name: dogtail
New Branches: EL-6
Owners: zmc
Comment 13 Tom "spot" Callaway 2010-07-13 11:37:15 EDT
CVS done (by process-cvs-requests.py).